WordPress.org

Support

Support » Plugins and Hacks » Gantry 4 Framework » [Resolved] newest version breaks website

[Resolved] newest version breaks website

  • After update to 1.3 I get blank homepage and error:

    Fatal error: Call to a member function getGridcss() on a non-object in /…/wp-content/plugins/gantry/core/gantry.class.php on line 366

    Admin was still working. Then I uploaded 1.29 trough my FTP, and both homepage and admin went blank, error message said:

    Parse error: syntax error, unexpected T_STRING in /…/wp-content/plugins/gantry/gizmos/maintenancemode.php on line 1

    I deleted maintenancemode.php and all is good now at my end. But definitely something is wrong with version 1.30.

    Btw, I use Zephyr theme.

    http://wordpress.org/extend/plugins/gantry/

Viewing 14 replies - 1 through 14 (of 14 total)
  • Plugin Author Gantry

    @gantry

    Hi,

    The first line of the maintenance mode gizmo is <?php so there’s no any string and this error shouldn’t appear – very odd. Can you please tell me on what your platform your server stands ? Windows, Linux ? Can you also please upload your maintenancemode.php gizmo somewhere so I could investigate it ?

    Thanks,
    Jakub

    The same thing happened to me. I’m going back to Gantry 1.29.

    The theme I’m using is RT Momentum

    I tried to update from the automatic update plugin, now I get this error
    Fatal error: Call to a member function getGridcss() on a non-object in /home/content/25/8905925/html/wp-content/plugins/gantry/core/gantry.class.php on line 366

    Plugin Author Gantry

    @gantry

    Hi,

    Fatal error: Call to a member function getGridcss() on a non-object in /.../wp-content/plugins/gantry/core/gantry.class.php on line 366

    This issue was only present when Gantry Cache was active – we fixed it in the version 1.31 Sorry about that!

    Thanks,
    Jakub

    My server is Linux.
    Here is my maintenancemode.php http://www.filedropper.com/maintenancemode
    But I never edited it, so I don’t think you will find anything there.

    So it is safe now to update to 1.31?

    Plugin Author Gantry

    @gantry

    Hi,

    Can you please download this file : http://cl.ly/3n452g36230d and compare it to the one you have ? Is the code exactly the same compared to the file you have ?

    After updating to 1.31 please go to the Theme Options and resave settings – this is important step!

    Thanks,
    Jakub

    Updated to 1.31, website blank, messaga says

    Fatal error: Call to a member function getGridcss() on a non-object in /…/wp-content/plugins/gantry/core/gantry.class.php on line 366

    Went to resave theme settings, got message

    Fatal error: Cannot use string offset as an array in /…/wp-content/plugins/gantry/functions.php on line 166

    Reverted back to 1.29

    Forgot to mention, that I did clear cache, that didn’t help.

    This time revert to 1.29 didn’t help, still shows error, problem with same line in functions.php, only its number is 153 in 1.29.
    Now trying 1.28, 1.27…

    Nothing is working. Website is down, tried a million options with no luck.

    Plugin Author Gantry

    @gantry

    Hi,

    The issue :

    Fatal error: Cannot use string offset as an array in /public_html/wp-content/plugins/gantry/functions.php on line 166

    is caused by the fact that for some reason the theme default options are removed from the database durning the update. We’re still investigating what can cause that.

    To fix the issue you should go to your Gantry Theme Settings and click on the Save Changes to resave settings. If you CANNOT access the WordPress admin please use this temporary solution :

    1. Please make a BACKUP OF THE FILE and edit wp-content/plugins/gantry/functions.php and around line 165 replace this :

    $options        = get_option(get_template() . "-template-options");
            $cache_enabled  = $options['cache']['enabled'];
            $cache_lifetime = $options['cache']['time'];
    
            load_plugin_textdomain('gantry', false, basename($gantry_path) . '/languages');
    
            // Get the gantry instance
            gantry_import('core.gantry');
    
            if ($cache_enabled) {
                gantry_import('core.utilities.gantrycache');
                $cache = GantryCache::getInstance();
                $cache->setLifetime($cache_lifetime);
                $cache->init();
                $gantry = $cache->get('gantry', 'gantry', array('Gantry', 'getInstance'));
            } else {
                $gantry = Gantry::getInstance();
            }

    with this :

    load_plugin_textdomain('gantry', false, basename($gantry_path) . '/languages');
            // Get the gantry instance
            gantry_import('core.gantry');
            $gantry = Gantry::getInstance();

    2. Please make a BACKUP OF THE FILE and edit wp-content/plugins/gantry/admin_functions.php and around line 370 comment out/remove this :

    $options = get_option(get_template() . "-template-options");
        if ($options['cache']['enabled']) {
            add_meta_button('cache-clear', 'Clear Cache', '?clear-cache', array(
                                                                               get_plugin_page_hook('gantry-theme-settings', ''),
                                                                               get_plugin_page_hook('gantry-theme-overrides', 'gantry-theme-settings')
                                                                          ), array('class' => 'clear-cache'));
        }

    3. Now you should be able to access your WP admin. Please go to the Gantry Theme Options and click on Save Changes to resave your settings. Once your settings have been resaved, please revert the two modified above files to their original versions. Your site should be working fine now.

    One more time we’re very sorry for this issue. We’ll try to fix this ASAP.

    If you’ll send me your FTP and WP login details via email I can do the fix for you.

    Kind regards,
    Jakub

    Ok, I’ll try that – there is nothing to lose, as I will need to redo all the website anyway…

    Well yes, all that helped, just the website lost all theme settings and widgets…

    I have database backup from before the disastrous gantry update, can I somehow use that? I cannot upload it all, because I have new content since the backup, but maybe uploading separate table which holds theme setings/widgets would be the solution? Can you advise me here?

    Ok, so if anybody runs into similar problem, you just need to upload table wp_options.

    I had database backup, made before the site crash. I uploaded it into new database on localhost, then exported only table wp_options. In my real database, I dropped the original wp_options, and then imported the one I just made. Website is ok and running!

    Thank you Jakub and all Gantry team for support, have nice holidays!

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘[Resolved] newest version breaks website’ is closed to new replies.
Skip to toolbar